/*  This file is part of libravatarserv.
 *  Copyright © 2022 tastytea <tastytea@tastytea.de>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, version 3.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef LIBRAVATARSERV_HASH_HPP
#define LIBRAVATARSERV_HASH_HPP

#include "fs-compat.hpp"
#include "types.hpp"

#include <string>
#include <string_view>

namespace libravatarserv::hash {

// generate hash from text
[[nodiscard]] std::string generate_hash(algorithm_t algo,
                                        std::string_view text);

// Match hash to email
[[nodiscard]] std::string find_email(const request_t &req,
                                     const fs::path &directory);

// return false if invalid characters are found in hash
[[nodiscard]] bool is_valid(std::string_view hash);

} // namespace libravatarserv::hash

#endif // LIBRAVATARSERV_HASH_HPP
